
// @ts-nocheck
import React from 'react'
import { mdx } from '@mdx-js/react'

/* @jsxRuntime classic */
/* @jsx mdx */

import { MDXScopeProvider } from '@teambit/ui.mdx-scope-context';


const layoutProps = {
  
};
const MDXLayout = "wrapper"
export default function MDXContent({
  components,
  ...props
}) {
  return <MDXLayout {...layoutProps} {...props} components={components} mdxType="MDXLayout">
    <MDXScopeProvider components={{}} mdxType="MDXScopeProvider"><h2>{`How to Add Docs`}</h2>
      <blockquote>
        <p parentName="blockquote">{`Document your components by creating a file with `}<inlineCode parentName="p">{`.docs.mdx`}</inlineCode>{` extension.`}</p>
      </blockquote>
      <iframe width="560" height="315" src="https://www.youtube.com/embed/cKMghSe_1RU?rel=0" title="Adding Docs for your Component" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
      <h3>{`Add a Description and Labels`}</h3>
      <p>{`Add a description for your component and labels which are used for better discoverability of components.`}</p>
      <pre><code parentName="pre" {...{
          "className": "language-mdx"
        }}>{`---
description: Description of my component
labels: ['label1', 'label2', 'label3']
---
`}</code></pre>
      <h3>{`Add some markdown`}</h3>
      <pre><code parentName="pre" {...{
          "className": "language-mdx"
        }}>{`# Add some markdown formated text

List your component features:

- feature 1
- feature 2
`}</code></pre>
      <h3>{`Add a Code Block and Live Playground`}</h3>
      <p>{`Add a codeblock to show how your component can be used.`}</p>
      <pre><code parentName="pre" {...{
          "className": "language-mdx"
        }}>{`import { Hello } from './hello';
\`\`\`js
() => {
  return <Hello />;
};
\`\`

\`
`}</code></pre>
      <p>{`Add `}<inlineCode parentName="p">{`live=true`}</inlineCode>{` to create a Live Playground:`}</p>
      <pre><code parentName="pre" {...{
          "className": "language-mdx"
        }}>{`import { Hello } from './hello';

\`\`\`jsx live=true
() => {
  return <Hello />;
};
\`\`\`
`}</code></pre>
      <p>{`Learn more about `}<a parentName="p" {...{
          "href": "https://harmony-docs.bit.dev/building-with-bit/documenting-components"
        }}>{`Documenting Components`}</a></p></MDXScopeProvider>
    </MDXLayout>;
}

;
MDXContent.isMDXComponent = true;